Subject: bug#21953: Eliminate warnings in the emacs-25 release branch

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 Nov 2015 20:44:48 +0200

> From: Glenn Morris <[email-masked]>
> Date: Wed, 18 Nov 2015 13:17:33 -0500
> 
> > By my count today, there are 461 byte-compilation warnings on the emacs-25
> > branch. This issue is here as a release blocker to deal with, or silence,
> > these warnings.
> 
> Sorry, but I have to say that I think this goal is firstly unachievable,
> and secondly won't make the release any better. In fact probably the
> opposite, by distracting from more important issues.

I agree that we cannot silence or solve all of them, but we should be
able to do that with most of them.